import Config

config :pleroma, Pleroma.Web.Endpoint,
  url: [host: "${node.metadata['pleroma']['url']}", scheme: "https", port: 443],
  http: [port: 21000, ip: {127, 0, 0, 1}],
  secret_key_base: "${node.metadata['pleroma']['secret_key']}",
  secure_cookie_flag: true

config :pleroma, :http_security,
  enabled: false,
  sts: true,
  referrer_policy: "same-origin"

config :pleroma, :instance,
  name: "${node.metadata['pleroma']['title']}",
  description: "${node.metadata['pleroma']['description']}",
  email: "${node.metadata['pleroma']['admin_email']}",
  limit: ${node.metadata['pleroma'].get('limit_chars', 500)},
  registrations_open: ${str(node.metadata['pleroma'].get('signup_enabled', False)).lower()},
  invites_enabled: ${str(node.metadata['pleroma'].get('invite_enabled', True)).lower()},
  static_dir: "/var/pleroma/static/"

config :pleroma, Pleroma.Upload,
  uploader: Pleroma.Uploaders.Local,
  filters: [Pleroma.Upload.Filter.Dedupe]

config :pleroma, Pleroma.Uploaders.Local,
  uploads: "/var/pleroma/uploads/"

config :pleroma, :media_proxy,
  enabled: false,
  redirect_on_failure: true
  #base_url: "https://cache.pleroma.social"

# Configure your database
config :pleroma, Pleroma.Repo,
  adapter: Ecto.Adapters.Postgres,
  username: "pleroma",
  password: "${node.metadata['postgresql']['roles']['pleroma']['password']}",
  database: "pleroma",
  hostname: "localhost",
  pool_size: 10,
  timeout: 60000,
  pool_timeout: 60000
